# Uses of Interface
java.lang.classfile.constantpool.NameAndTypeEntry

Packages that use NameAndTypeEntry
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

- ## Uses of NameAndTypeEntry in java.lang.classfile.attribute

  Methods in java.lang.classfile.attribute that return types with arguments of type NameAndTypeEntry
  Modifier and Type
  Method
  Description
  `Optional<NameAndTypeEntry>`
  EnclosingMethodAttribute.`enclosingMethod()`
  Returns the name and type of the enclosing method, if the class is immediately enclosed by exactly one method or constructor.
  Method parameters in java.lang.classfile.attribute with type arguments of type NameAndTypeEntry
  Modifier and Type
  Method
  Description
  `static EnclosingMethodAttribute`
  EnclosingMethodAttribute.`of(ClassEntry className, Optional<NameAndTypeEntry> method)`
  Returns an `EnclosingMethod` attribute.

- ## Uses of NameAndTypeEntry in java.lang.classfile.constantpool

  Methods in java.lang.classfile.constantpool that return NameAndTypeEntry
  Modifier and Type
  Method
  Description
  `NameAndTypeEntry`
  DynamicConstantPoolEntry.`nameAndType()`
  Returns the name and the descriptor string indicated by this symbolic reference.
  `NameAndTypeEntry`
  MemberRefEntry.`nameAndType()`
  Returns the name and descriptor string of the member.
  `NameAndTypeEntry`
  ConstantPoolBuilder.`nameAndTypeEntry(Utf8Entry nameEntry, Utf8Entry typeEntry)`
  Returns a `NameAndTypeEntry` referring to the provided name and type `Utf8Entry`.
  `default NameAndTypeEntry`
  ConstantPoolBuilder.`nameAndTypeEntry(String name, ClassDesc type)`
  Returns a `NameAndTypeEntry` describing the provided unqualified name and field descriptor.
  `default NameAndTypeEntry`
  ConstantPoolBuilder.`nameAndTypeEntry(String name, MethodTypeDesc type)`
  Returns a `NameAndTypeEntry` describing the provided name and method descriptor.
  Methods in java.lang.classfile.constantpool with parameters of type NameAndTypeEntry
  Modifier and Type
  Method
  Description
  `ConstantDynamicEntry`
  ConstantPoolBuilder.`constantDynamicEntry(BootstrapMethodEntry bootstrapMethodEntry, NameAndTypeEntry nameAndType)`
  Returns a `ConstantDynamicEntry` referring to a `BootstrapMethodEntry` and a `NameAndTypeEntry`.
  `FieldRefEntry`
  ConstantPoolBuilder.`fieldRefEntry(ClassEntry owner, NameAndTypeEntry nameAndType)`
  Returns a `FieldRefEntry` referring to a `ClassEntry` and a `NameAndTypeEntry`.
  `InterfaceMethodRefEntry`
  ConstantPoolBuilder.`interfaceMethodRefEntry(ClassEntry owner, NameAndTypeEntry nameAndType)`
  Returns an `InterfaceMethodRefEntry` referring to a `ClassEntry` and a `NameAndTypeEntry`.
  `InvokeDynamicEntry`
  ConstantPoolBuilder.`invokeDynamicEntry(BootstrapMethodEntry bootstrapMethodEntry, NameAndTypeEntry nameAndType)`
  Returns an `InvokeDynamicEntry` referring to a `BootstrapMethodEntry` and a `NameAndTypeEntry`.
  `MethodRefEntry`
  ConstantPoolBuilder.`methodRefEntry(ClassEntry owner, NameAndTypeEntry nameAndType)`
  Returns a `MethodRefEntry` referring to a `ClassEntry` and a `NameAndTypeEntry`.

- ## Uses of NameAndTypeEntry in java.lang.classfile.instruction

  Methods in java.lang.classfile.instruction with parameters of type NameAndTypeEntry
  Modifier and Type
  Method
  Description
  `static FieldInstruction`
  FieldInstruction.`of(Opcode op, ClassEntry owner, NameAndTypeEntry nameAndType)`
  Returns a field access instruction.
  `static InvokeInstruction`
  InvokeInstruction.`of(Opcode op, ClassEntry owner, NameAndTypeEntry nameAndType, boolean isInterface)`
  Returns an invocation instruction.